Package wx :: Package lib :: Package masked :: Module ctrl

[frames | no frames]

## Module wx.lib.masked.ctrl

masked.Ctrl is actually a factory function for several types of masked edit controls:

> masked.TextCtrl | standard masked edit text box
> masked.ComboBox | adds combobox capabilities
> masked.IpAddrCtrl | adds logical input semantics for IP address entry
> masked.TimeCtrl | special subclass handling lots of time formats as values
> masked.NumCtrl | special subclass handling numeric values

masked.Ctrl works by looking for a special controlType parameter in the variable arguments of the control, to determine what kind of instance to return. controlType can be one of:

    controlTypes.TEXT
    controlTypes.COMBO
    controlTypes.IPADDR
    controlTypes.TIME
    controlTypes.NUMBER

These constants are also available individually, ie, you can use either of the following:

    from wxPython.wx.lib.masked import Ctrl, COMBO, TEXT, NUMBER, TIME
    from wxPython.wx.lib.masked import Ctrl, controlTypes

If not specified as a keyword argument, the default controlType is controlTypes.TEXT.

Each of the above classes has its own unique arguments, but Masked.Ctrl provides a single "unified" interface for masked controls.

Classes
`controlTypes` |

Function Summary
| ``Ctrl`(*args, **kwargs)` Actually a factory function providing a unifying interface for generating masked controls.

Variable Summary
`int` | `COMBO` = 1
`int` | `IPADDR` = 2
`int` | `NUMBER` = 4
`int` | `TEXT` = 0
`int` | `TIME` = 3

Function Details

### Ctrl(*args, **kwargs)

Actually a factory function providing a unifying interface for generating masked controls.

Variable Details

### COMBO

  Type:
    `int`
  Value:

        1

### IPADDR

  Type:
    `int`
  Value:

        2

### NUMBER

  Type:
    `int`
  Value:

        4

### TEXT

  Type:
    `int`
  Value:

        0

### TIME

  Type:
    `int`
  Value:

        3

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:46 2007 | http://epydoc.sf.net